server:
  port: 9999

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
    instance: 
      lease-renewal-interval-in-seconds: 5

spring:
  application:
    name: zipkin-server
  security:  #密码认证
    basic:
      enabled: true
    user:
      name: admin
      password: admin123
  
  sleuth:
    enabled: false
    sampler:
      #采样率，推荐0.1，百分之百收集的话存储可能扛不住
      percentage: 1
      
    
zipkin: 
  storage: 
    StorageComponent: elasticsearch
    type: elasticsearch
    elasticsearch:  
      cluster: dyym-es
      hosts: 120.26.238.168:9300
      max-requests: 64
      index: zipkin
      index-shards: 5
      index-replicas: 1
  collector:
    rabbitmq:
      addresses: 120.26.238.168:5672
      password: dyym
      username: dyym
      queue: zipkin
      
      
management: 
  security: 
    enabled: false
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS

  metrics:  
    web:  
      server:
        auto-time-requests: false

    
